org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_SWITCHNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_SWITCHNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_SWITCHNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_SWITCHNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_SWITCHNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_SWITCHNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindCustomtextoff(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindCustomtexton(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindState(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `bindSwitchtype(IDynamicContentBindingObject value)`
    `UI5M_SWITCHNode` | `setActionListener(java.lang.String value)`
    `UI5M_SWITCHNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_SWITCHNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_SWITCHNode` | `setComment(java.lang.String value)`
    `UI5M_SWITCHNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_SWITCHNode` | `setCustomtextoff(java.lang.String value)`
    `UI5M_SWITCHNode` | `setCustomtexton(java.lang.String value)`
    `UI5M_SWITCHNode` | `setEnabled(boolean value)`
    `UI5M_SWITCHNode` | `setEnabled(java.lang.String value)`
    `UI5M_SWITCHNode` | `setFlush(boolean value)`
    `UI5M_SWITCHNode` | `setFlush(java.lang.String value)`
    `UI5M_SWITCHNode` | `setId(java.lang.String value)`
    `UI5M_SWITCHNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_SWITCHNode` | `setReference(java.lang.String value)`
    `UI5M_SWITCHNode` | `setRendered(boolean value)`
    `UI5M_SWITCHNode` | `setRendered(java.lang.String value)`
    `UI5M_SWITCHNode` | `setState(java.lang.String value)`
    `UI5M_SWITCHNode` | `setStyleseq(java.lang.String value)`
    `UI5M_SWITCHNode` | `setStylevariant(java.lang.String value)`
    `UI5M_SWITCHNode` | `setSwitchtype(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_SWITCHNode

          public UI5M_SWITCHNode()

  - ### Method Detail

    - #### setId

          public UI5M_SWITCHNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_SWITCHNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_SWITCHNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_SWITCHNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_SWITCHNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_SWITCHNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_SWITCHNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_SWITCHNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_SWITCHNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_SWITCHNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCustomtextoff

          public UI5M_SWITCHNode setCustomtextoff(java.lang.String value)

    - #### bindCustomtextoff

          public UI5M_SWITCHNode bindCustomtextoff(IDynamicContentBindingObject value)

    - #### setCustomtexton

          public UI5M_SWITCHNode setCustomtexton(java.lang.String value)

    - #### bindCustomtexton

          public UI5M_SWITCHNode bindCustomtexton(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_SWITCHNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_SWITCHNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_SWITCHNode setEnabled(boolean value)

    - #### setFlush

          public UI5M_SWITCHNode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_SWITCHNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_SWITCHNode setFlush(boolean value)

    - #### setLayoutdata

          public UI5M_SWITCHNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_SWITCHNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_SWITCHNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_SWITCHNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_SWITCHNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_SWITCHNode setRendered(boolean value)

    - #### setState

          public UI5M_SWITCHNode setState(java.lang.String value)

    - #### bindState

          public UI5M_SWITCHNode bindState(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_SWITCHNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_SWITCHNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_SWITCHNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_SWITCHNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setSwitchtype

          public UI5M_SWITCHNode setSwitchtype(java.lang.String value)

    - #### bindSwitchtype

          public UI5M_SWITCHNode bindSwitchtype(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.